Index: /trunk/ArchTOIPipe/ProcWSophya/toi2toi_addsp.cc
===================================================================
--- /trunk/ArchTOIPipe/ProcWSophya/toi2toi_addsp.cc	(revision 2101)
+++ /trunk/ArchTOIPipe/ProcWSophya/toi2toi_addsp.cc	(revision 2102)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2toi_addsp.cc,v 1.2 2002-07-16 15:26:19 cecile Exp $
+// $Id: toi2toi_addsp.cc,v 1.3 2002-07-16 16:38:48 cecile Exp $
 
 #include "machdefs.h"
@@ -45,5 +45,5 @@
   declareInput("lat"); 
  
-  declareOutput("BoloOut");  
+  declareOutput("BoloOut");
 }
 
@@ -131,2 +131,19 @@
 return;      
 }
+
+//--------------------------------------------------------------------
+//--------------------------------------------------------------------
+//--------------------------------------------------------------------
+//--------------------------------------------------------------------
+//--------------------------------------------------------------------
+//--------------------------------------------------------------------
+void Fill_Info_scr(Info_src* scr, int_4 ns)
+{
+  for (int i=0; i<ns ; i++){
+    scr[i].glon = 80.+i*10.;
+    scr[i].glat = 0.;
+    scr[i].amp  = 1.;
+    scr[i].tau1 = 0.5;
+    scr[i].tau2 = 0.5;
+  }
+}
Index: /trunk/ArchTOIPipe/ProcWSophya/toi2toi_addsp.h
===================================================================
--- /trunk/ArchTOIPipe/ProcWSophya/toi2toi_addsp.h	(revision 2101)
+++ /trunk/ArchTOIPipe/ProcWSophya/toi2toi_addsp.h	(revision 2102)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2toi_addsp.h,v 1.2 2002-07-16 15:26:19 cecile Exp $
+// $Id: toi2toi_addsp.h,v 1.3 2002-07-16 16:38:48 cecile Exp $
 
 #ifndef TOI2MAP_H
@@ -41,6 +41,4 @@
   double amp,tau1,tau2;
 };
-
-void Fill_Info_scr(Info_src* scr, int_4 ns);
 
 class Toi2toi_Addsp : public TOIProcessor {
@@ -80,4 +78,6 @@
   void Print(::ostream & os);
 
+  static void Fill_Info_scr(Info_src* scr, int_4 ns);
+
 protected:
 
Index: /trunk/ArchTOIPipe/TestPipes/tsttoi2toi_addsp.cc
===================================================================
--- /trunk/ArchTOIPipe/TestPipes/tsttoi2toi_addsp.cc	(revision 2101)
+++ /trunk/ArchTOIPipe/TestPipes/tsttoi2toi_addsp.cc	(revision 2102)
@@ -170,47 +170,52 @@
 try {
 //--------------------------------------------------------------------
-
+  cout << wsize << " ok ! " << endl;
+  
   CGT plombier(fgsegmented,wsize);
   plombier.SetDebugLevel(99);
   
  // FITS reader
- FITSTOIReader rfitsb(fitsin_bolo);
- FITSTOIReader rfitsp(fitsin_point);
- FITSTOIReader rfitsu(fitsin_utc);
- FITSTOIReader rfitsl(fitsin_lon);
- FITSTOIReader rfitsL(fitsin_lat);
- FITSTOIWriter wfits(fitsout);
-
- Info_src* scr;
- Fill_Info_scr(scr,ns);
+  FITSTOIReader rfitsb(fitsin_bolo);
+  FITSTOIReader rfitsp(fitsin_point);
+  FITSTOIReader rfitsu(fitsin_utc);
+  FITSTOIReader rfitsl(fitsin_lon);
+  FITSTOIReader rfitsL(fitsin_lat);
+  FITSTOIWriter wfits(fitsout);
+
+  Info_src* scr;
+  Toi2toi_Addsp::Fill_Info_scr(scr,ns);
  
  // TOI Processor
- Toi2toi_Addsp toi2t_sp(scr,ns);
- cout<<"Toi2toi_Addsp created"<<endl;
-
- toi2t_sp.SetEquinox(equi);
- toi2t_sp.SetCoorIn(tcoorin);
- toi2t_sp.SetCoorMap(tcoormap);
- toi2t_sp.SetTestFlag(tflg,badflg);
- toi2t_sp.SetTestMin(tmin,vmin);
- toi2t_sp.SetTestMax(tmax,vmax);
- toi2t_sp.Print(cout);
+//   Toi2toi_Addsp toi2t_sp(scr,ns);
+//   cout<<"Toi2toi_Addsp created"<<endl;
+
+//   toi2t_sp.SetEquinox(equi);
+//   toi2t_sp.SetCoorIn(tcoorin);
+//   toi2t_sp.SetCoorMap(tcoormap);
+//   toi2t_sp.SetTestFlag(tflg,badflg);
+//   toi2t_sp.SetTestMin(tmin,vmin);
+//   toi2t_sp.SetTestMax(tmax,vmax);
+//   toi2t_sp.Print(cout);
 
  // Definition des tuyaux
- plombier.Connect(toi2t_sp,"BoloOut",wfits,label_bolo_out);
- plombier.Connect(rfitsb,label_bolo_in,toi2t_sp,"BoloIn");
  
  // pb dans  prout.addOutput(out, toi);
- cout << " tout va bien " << endl;
+ cout << " tout va bien " <<label_coord2 << endl;
+
+ plombier.Connect(rfitsp,label_coord1,wfits,label_bolo_out);
+
  //pb dans chkinit(); dans  afterinit()
- plombier.Connect(rfitsp,label_coord1,toi2t_sp,"Coord1In");
- cout << " ca va plus " << endl;
-
- plombier.Connect(rfitsp,label_coord2,toi2t_sp,"Coord2In");
-
- plombier.Connect(rfitsu,label_utc,toi2t_sp,"utc");
- plombier.Connect(rfitsl,label_lon,toi2t_sp,"lon");
- plombier.Connect(rfitsL,label_lat,toi2t_sp,"lat");
-
+//   plombier.Connect(rfitsp,label_coord2,toi2t_sp,"Coord2In");
+//   plombier.Connect(rfitsp,label_coord1,toi2t_sp,"Coord1In");
+
+//   plombier.Connect(rfitsb,label_bolo_in,toi2t_sp,"BoloIn");
+
+//   plombier.Connect(rfitsu,label_utc,toi2t_sp,"utc");
+//   plombier.Connect(rfitsl,label_lon,toi2t_sp,"lon");
+//   plombier.Connect(rfitsL,label_lat,toi2t_sp,"lat");
+
+//   plombier.Connect(toi2t_sp,"BoloOut",wfits,label_bolo_out);
+ // plombier.Connect(rfitsp,label_coord1,wfits,label_bolo_out);
+ cout << " tout va bien " <<label_coord2 << endl;
 
  // Run
@@ -240,18 +245,2 @@
 }
 
-//--------------------------------------------------------------------
-//--------------------------------------------------------------------
-//--------------------------------------------------------------------
-//--------------------------------------------------------------------
-//--------------------------------------------------------------------
-//--------------------------------------------------------------------
-void Fill_Info_scr(Info_src* scr, int_4 ns)
-{
-  for (int i=0; i<ns ; i++){
-    scr[i].glon = 80.+i*10.;
-    scr[i].glat = 0.;
-    scr[i].amp  = 1.;
-    scr[i].tau1 = 0.5;
-    scr[i].tau2 = 0.5;
-  }
-}