Index: /trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- /trunk/SophyaPI/PIext/basexecut.cc	(revision 2117)
+++ /trunk/SophyaPI/PIext/basexecut.cc	(revision 2118)
@@ -773,12 +773,14 @@
 usage += "                rainbow16 \n";
 usage += "   revcmap : This flag reverses ColorMap indexing \n";
-usage += ">> ZoomFactors: defzoom zoomx1 zoomx2 zoomx3 zoomx4 zoomx5 \n";
-usage += "                               zoom/2 zoom/3 zoom/4 zoom/5 \n";
+usage += ">> ZoomFactors      zoomxN zoomx1 zoomx2 zoomx3 ... \n";
+usage += "   (image display)  zoom/N zoom/2 zoom/3 zoom/4 ...\n";
 usage += ">> imagecenter=ix,iy -> Position the image in widget \n";
-usage += ">> Axes:  stdaxes=defaxes=boxaxes  simpleaxes boxaxesgrid \n";
-usage += "          fineaxes finesimpleaxes  fineaxesgrid=grid \n"; 
-usage += "          simpleaxesgrid finesimpleaxesgrid \n"; 
+ usage += ">> lut=ltyp,min,max -> Sets LUT type and min/max for image display \n";
+usage += "                       (ltyp=lin/log/sqrt/square) \n";
+usage += ">> Axes:  stdaxes=defaxes=boxaxes boxaxesgrid centeredaxes\n";
+usage += "          fineaxes finecenteredaxes fineaxesgrid=grid \n"; 
+usage += "          centeredaxesgrid finecenteredaxesgrid \n"; 
 usage += ">> LogScale : linx liny logx logy -> Lin/Log Scales for 2D plots \n";
-usage += ">> XYLimits : xylimits  -> Forces X-Y limits in 2-D plots \n";
+usage += ">> xylimits=xmin,xmax,ymin,ymax  -> Forces X-Y limits in 2-D plots \n";
 usage += ">> stat/nostat or stats/nostats -> Toggle statistic display flag \n";
 usage += ">> title/notitle or tit/notit -> Toggle Auto AddTitle flag \n";
@@ -789,11 +791,11 @@
 kw = "setaxesatt";
 usage = "To set default axes attributes \n  Usage: setaxesatt att_list \n";
-usage += ">> Axes:  stdaxes=defaxes=boxaxes  simpleaxes boxaxesgrid \n";
-usage += "          fineaxes  finesimpleaxes fineaxesgrid=grid \n"; 
-usage += "          simpleaxesgrid finesimpleaxesgrid \n"; 
+usage += "Color/Line/Font attributes and axes attributes";
+usage += ">> Axes:  stdaxes=defaxes=boxaxes boxaxesgrid centeredaxes\n";
+usage += "          fineaxes finecenteredaxes fineaxesgrid=grid \n"; 
+usage += "          centeredaxesgrid finecenteredaxesgrid \n"; 
 usage += ">> LogScale : linx liny logx logy -> Lin/Log Scales for 2D plots \n";
 usage += ">> xylimits=xmin,xmax,ymin,ymax  -> Forces X-Y limits in 2-D plots \n";
 mpiac->RegisterCommand(kw, usage, this, "Graphics");
-
 
 kw = "setinsetlimits";
@@ -803,9 +805,4 @@
 usage += " Usage: setinsetlimits xmin xmax ymin ymax";
 usage += "\n  Related commands: graphicatt /inset";  
-mpiac->RegisterCommand(kw, usage, this, "Graphics");
-
-kw = "setimgcenter";
-usage = "Define image center postion \n Usage: setimgcenter xc yc";
-usage += "\n  Related commands: graphicatt /centerimg";  
 mpiac->RegisterCommand(kw, usage, this, "Graphics");
 
Index: /trunk/SophyaPI/PIext/piaversion.h
===================================================================
--- /trunk/SophyaPI/PIext/piaversion.h	(revision 2117)
+++ /trunk/SophyaPI/PIext/piaversion.h	(revision 2118)
@@ -2,5 +2,5 @@
 #define PIAPPVERSION_H_SEEN
 
-#define PIAPP_VERSIONNUMBER  3.40
+#define PIAPP_VERSIONNUMBER  3.50
 
 #endif
Index: /trunk/SophyaPI/PIext/pistdimgapp.cc
===================================================================
--- /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 2117)
+++ /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 2118)
@@ -563,8 +563,4 @@
 pii->SetUserData(NULL, oid);
 
-// decode des options en chaine de caracteres
-pii->DecodeOptionString(mDefaultAtt, false);  // d'abord les options par defaut
-pii->DecodeOptionString(opts);      // ensuite, les options specifies en argument
-
 
 // On recalcule la taille de la fenetre si Disp_Win
@@ -580,5 +576,9 @@
 }
 
-pii->SetImage(nouv, false);
+pii->SetImage(nouv, true, false);
+
+// decode des options en chaine de caracteres
+pii->DecodeOptionString(mDefaultAtt, false);  // d'abord les options par defaut
+pii->DecodeOptionString(opts);      // ensuite, les options specifies en argument
 
 // printf("!!DBG!! PIImage Pos= %d %d  Size= %d %d \n", pii->XPos(), pii->YPos(), pii->XSize(), pii->YSize()   );
@@ -588,5 +588,7 @@
 mBWId++;
 mBWList[mBWId] = pii;
-pii->Refresh();
+// pii->Refresh();
+pii->Apply();
+cmapv->Refresh();
 return(mBWId); 
 }
@@ -1246,4 +1248,5 @@
     else if (token == "inset")   rc = Disp_Inset;
     else  if (token == "stack")   rc = Disp_Stack;
+    else  if (token == "next")   rc = Disp_Next;
     // Option a etre decode par les drawers, etc ...
     else  opts.push_back(token); 