Index: trunk/SophyaLib/Manual/sophya_afaire.txt
===================================================================
--- trunk/SophyaLib/Manual/sophya_afaire.txt	(revision 2117)
+++ trunk/SophyaLib/Manual/sophya_afaire.txt	(revision 2120)
@@ -33,6 +33,7 @@
 >>>>>>> Module SysTools
 
-=== Ecrire un classe interface de getrusage();                     **NEW 08/01**
-
+=== Ecrire un classe interface de getrusage();
+    Voir pourquoi la classe ResourceUsage ne marche pas correctement
+    sur Linux et Mac
 
 >>>>>>> Module TArray
@@ -61,5 +62,5 @@
 
 === Classes FFTServer (FFTPackSever) -                            **NEW 08/01** 
-    Eviter la copie complet sur SubArray - 
+    Eviter la copie complete sur SubArray - 
     voir TArray(const TArray<T>& a, bool share, bool pack = true) ci-dessus 
 
@@ -76,7 +77,4 @@
 
 === NTuple et XNtuple -> mettre partage de reference
-    Etat: A faire par Reza
-
-=== XNTuple : Protection pour SetSwapPath() pour / a la fin
     Etat: A faire par Reza
 
@@ -110,7 +108,2 @@
 === Ajouter interface pour decomposition LU en utilisant LaPack
     Etat: A faire par CMV + Reza
-
->>>>>>>> Module PI PIext
-
-=== Mettre de nouvelles lut (itt_cmv) piapp
-    Etat: travail en cours par cmv + rz
Index: trunk/SophyaLib/Manual/spiapp_afaire.txt
===================================================================
--- trunk/SophyaLib/Manual/spiapp_afaire.txt	(revision 2117)
+++ trunk/SophyaLib/Manual/spiapp_afaire.txt	(revision 2120)
@@ -7,23 +7,4 @@
 ==================================================================
 
-- Probleme de calcul des limites de plot dans pigraphuc.cc
-  (ex: func x 1. 1.000001 ne marche pas OK)
-  Il faut passer les limites 1.e-39 e-19 e-5 faites pour des float
-  a des valeurs OK pour des doubles (mettre des #define pour simplifier)
-
-- Probleme avec definition d'axes quand xmax-xmin petit.
-  Lecture en float des char[]????
-
-- Probleme avec lecture arguments commandes func etc...
-  arg + de 6 digits significatifs????
-  Lecture en float des char[]????
-
-- Pb des tailles relatives fenetre totale fenetre courbes et labels:
-  mettre une ecriture + intelligente des labels des axes
-  (mise a part de la puissance de 10 ???)
-
-- un %6g plus grand pour le clic gauche piscdrawdg (X= Y=)
-         (calcul de la precision %e adequate)
-
 - FunRand : createur avec histo (1D+2D)
 
@@ -32,34 +13,13 @@
 - piapp multithreads
 
-- contour plot
-
 - facteur d'echelle sur les axes des graphes 3D
-
-- Separation fenetre (ALT-O) axes/graphicAtt en 2 fenetres
-
-- Choix de la FONT dans les drawer + drwtools
 
 - Possibilite de selection d'un drawer avec la souris
 
-- Ameliorer la gestion des outils des drawers (histo2d/...)
-
-- Affichage TCPU + Memoire dans fenetre principale
-
-- Possibilite de virer l'affichage fenetre zoom/selection ds fen. princ
-
-- Gestion Ticks sur les axes en log
-
-- Correction / amelioration sortie texte en postscript
-
 - trace des stat (histos...) sous forme de drawer indept
-
-- longueur des labels des axes (major/minor ticks)
-  Ecriture des nombre avec "factorisation" puissance de 10 ( .... x 10^8)
 
 - Creer un objet GeneralFunction + Parametres
 
 - Rendre le GeneralFunction d'un fit manipulable dans spiapp
-
-- defx defy
 
 - possibilite d'etendre l'interpreteur pour evaluer
@@ -75,5 +35,5 @@
   deffx deffxy ...
 
-- Drawer pour 2DVectorField, 3DVectorField 
+- Drawer pour 3DVectorField 
 
 - Drawer pour trace de r = f(theta) (coordonnees polaires)
@@ -85,26 +45,6 @@
 - Trace d'axe en coordonnees polaires
 
-- Possibilite de changement de taille des caracteres des axes 
-
-- Supprimer si possible la classe PIH2DWdg (activation tool H2D et 
-message contenu pixel) 
-
 - EventHandler pour move/resize des drawers
 
 - Possibilite de tracer un colomap/lut ds PIImage/PIScDrawWdg/PI3DWdg 
   (ajout a PIElDrawer)
-
-- Correction sortie postscript pour trace de caracteres
-
-- Correction/verification ds PSFile des traces de markers
-
-- Ajout d'epaisseur de ligne/ Report ds PSFile epaisseur/dashed-line
-     Fait
-- Ajout methode de trace de fleches ds PIGraphic
-     Fait 
-- Ajout methode de trace de chaines exposant-indice : Chaine^{ChaineE}_{ChaineI}
-     Fait 
-
-
-
-