Index: /trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- /trunk/SophyaPI/PIext/basexecut.cc	(revision 2131)
+++ /trunk/SophyaPI/PIext/basexecut.cc	(revision 2132)
@@ -209,5 +209,5 @@
   mObjMgr->ReadAll(tokens[0]);  
 }
-else if (kw == "saveobjs" ) {
+else if ((kw == "saveobjs") || (kw == "saveppf"))  {
   if (tokens.size() < 2) { cout << "Usage: saveobjs patt filename " << endl; return(0); }
   mObjMgr->SaveObjects(tokens[0], tokens[1]);  
@@ -222,5 +222,5 @@
 }
 else if ( (kw == "rename" ) || (kw == "mv") )  {
-  if (tokens.size() < 2) { cout << "Usage: rename nameobj namenew" << endl; return(0); }
+  if (tokens.size() < 2) { cout << "Usage: rename/mv nameobj namenew" << endl; return(0); }
   mObjMgr->RenameObj(tokens[0], tokens[1]);  
 }
@@ -249,4 +249,9 @@
   mObjMgr->DeleteDir(tokens[0]);  
   }
+else if (kw == "setdiratt" ) {
+  if (tokens.size() < 2) { cout << "Usage: setdiratt dirname true/false" << endl; return(0); }
+  if (tokens[1] == "true") mObjMgr->SetKeepOldDirAtt(tokens[0], true);
+  else mObjMgr->SetKeepOldDirAtt(tokens[0], false);
+}
 else if (kw == "cd")   { 
   if  (tokens.size() < 1)  tokens.push_back("home");
@@ -878,10 +883,10 @@
 
 kw = "openfits";
-usage = "Loads a FITS file into an Image<T> \n Usage: openfits filename";
+usage = "Loads a FITS file into an apprpiate object \n Usage: openfits filename";
 usage += "\n  Related commands: savefits openppf";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "savefits";
 usage = "Save an object into a FITS file \n Usage: savefits nameobj filename";
-usage += "\n  Related commands: openfits saveall";  
+usage += "\n  Related commands: openfits saveobjs saveall";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "openppf";
@@ -889,8 +894,15 @@
 usage += "\n  Related commands: saveall openfits";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
+kw = "saveppf";
+usage = "Saves objects with names matching a pattern into a\n";
+usage += "  PPF file (pattern: x?y*) - Alias saveppf\n";
+usage += "Usage: saveppf nameobjpattern filename";
+usage += "\n  Related commands: saveobjs saveall openppf savefits";  
+mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "saveobjs";
-usage = "Saves objects with names matching a pattern (x?y*) into a PPF file \n";
+usage = "Saves objects with names matching a pattern into a\n";
+usage += "  PPF file (pattern: x?y*) - Alias saveppf\n";
 usage += "Usage: saveobjs nameobjpattern filename";
-usage += "\n  Related commands: saveall openppf savefits";  
+usage += "\n  Related commands: saveppf saveall openppf savefits";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "saveall";
@@ -917,4 +929,10 @@
 usage = "Removes an empty directory";
 usage += "\n Usage: remove dirname";
+mpiac->RegisterCommand(kw, usage, this, "Object Management");
+kw = "setdiratt";
+usage = "Sets directory attributes";
+usage += "\n Usage: setdiratt dirname KeepOldFlag(=true/false)";
+usage += "\n   KeepOldFlag=true Object with the same name is moved to old";
+usage += "\n   when adding objects";
 mpiac->RegisterCommand(kw, usage, this, "Object Management");
 kw = "cd";
@@ -936,14 +954,26 @@
 kw = "rename";
 usage = "Rename an object (Alias: mv) \n Usage: rename nameobj namenew";
-usage += "\n  Related commands: del delobjs";  
+usage += "\n  Related commands: mv del delobjs";  
+mpiac->RegisterCommand(kw, usage, this, "Object Management");
+kw = "mv";
+usage = "Rename an object (Alias: rename) \n Usage: mv nameobj namenew";
+usage += "\n  Related commands: rename del delobjs";  
 mpiac->RegisterCommand(kw, usage, this, "Object Management");
 kw = "copy";
-usage = "Copy objects \n";
+usage = "Copy objects (Alias cp) \n";
 usage +="  Usage: copy name_from name_to";
-usage += "\n  Related commands: new...";  
+usage += "\n  Related commands: cp new...";  
+kw = "cp";
+usage = "Copy objects (Alias copy) \n";
+usage +="  Usage: cp name_from name_to";
+usage += "\n  Related commands: copy new...";  
 mpiac->RegisterCommand(kw, usage, this, "Object Management");
 kw = "del";
 usage = "Deletes an object (Alias: rm) \n Usage: del nameobj [nameobj2 ...]";
-usage += "\n  Related commands: delobjs  rename";  
+usage += "\n  Related commands: rm delobjs rename";  
+mpiac->RegisterCommand(kw, usage, this, "Object Management");
+kw = "rm";
+usage = "Deletes an object (Alias: del) \n Usage: rm nameobj [nameobj2 ...]";
+usage += "\n  Related commands: del delobjs rename";  
 mpiac->RegisterCommand(kw, usage, this, "Object Management");
 kw = "delobjs";
Index: /trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- /trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2131)
+++ /trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2132)
@@ -119,5 +119,5 @@
   string dirn = "home";
   CreateDir(dirn);
-  SetKeepOldDirAtt(dirn, true);
+  SetKeepOldDirAtt(dirn, false);
   dirn = "tmp";
   CreateDir(dirn);
Index: /trunk/SophyaPI/PIext/piaversion.h
===================================================================
--- /trunk/SophyaPI/PIext/piaversion.h	(revision 2131)
+++ /trunk/SophyaPI/PIext/piaversion.h	(revision 2132)
@@ -2,5 +2,5 @@
 #define PIAPPVERSION_H_SEEN
 
-#define PIAPP_VERSIONNUMBER  3.50
+#define PIAPP_VERSIONNUMBER  3.51
 
 #endif