Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 2132)
+++ trunk/SophyaPI/PIext/Makefile	(revision 2141)
@@ -45,4 +45,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -55,4 +57,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -61,7 +65,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h \
@@ -76,6 +82,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h servnobjm.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h servnobjm.h \
  $(INC)histos.h \
  $(INC)peida.h \
@@ -133,4 +139,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -143,4 +151,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -149,7 +159,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h \
@@ -160,6 +172,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h \
  $(INC)piscdrawwdg.h \
  $(INC)ntuple.h \
@@ -211,8 +223,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -250,4 +265,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)pieldrw.h \
@@ -255,4 +272,5 @@
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h pisiadw.h \
@@ -260,6 +278,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h
+ $(INC)pitherm.h \
+ $(INC)resusage.h
 $(OBJ)cxxexecwin.o: cxxexecwin.cc cxxexecutor.h \
  $(INC)machdefs.h piacmd.h dlftypes.h \
@@ -298,4 +316,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -308,4 +328,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -314,7 +336,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h pisiadw.h \
@@ -322,6 +346,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h
+ $(INC)pitherm.h \
+ $(INC)resusage.h
 $(OBJ)flowmodex.o: flowmodex.cc flowmodex.h \
  $(INC)machdefs.h piacmd.h dlftypes.h \
@@ -360,4 +384,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -370,4 +396,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -376,7 +404,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h pisiadw.h \
@@ -384,6 +414,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h \
  $(INC)piscdrawwdg.h \
  $(INC)ntupintf.h \
@@ -427,8 +457,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -466,4 +499,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)pieldrw.h \
@@ -471,4 +506,5 @@
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h piacmd.h \
@@ -477,6 +513,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h \
  $(INC)fitsautoreader.h \
  $(INC)fitsfile.h \
@@ -500,5 +536,6 @@
  $(INC)xntuple.h \
  $(INC)fitslocalmap.h \
- $(INC)localmap.h pitvmaad.h \
+ $(INC)localmap.h \
+ $(INC)fbtntintf.h pitvmaad.h \
  $(INC)piyfxdrw.h \
  $(INC)pisurfdr.h pipodrw.h \
@@ -526,8 +563,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -569,8 +609,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -618,8 +661,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -692,8 +738,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -746,8 +795,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -811,8 +863,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -858,8 +913,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -931,8 +989,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -982,8 +1043,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -1010,4 +1074,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)pieldrw.h \
@@ -1015,4 +1081,5 @@
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h pisiadw.h \
@@ -1020,6 +1087,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h
+ $(INC)pitherm.h \
+ $(INC)resusage.h
 $(OBJ)pi2dvec.o: pi2dvec.cc $(INC)machdefs.h \
  $(INC)histos.h \
@@ -1069,4 +1136,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -1079,4 +1148,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -1085,7 +1156,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h dlftypes.h \
@@ -1095,6 +1168,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h \
  $(INC)piscdrawwdg.h
 $(OBJ)piacmd.o: piacmd.cc piacmd.h $(INC)machdefs.h \
@@ -1126,4 +1199,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -1136,4 +1211,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -1142,7 +1219,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h \
@@ -1157,6 +1236,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h piafitting.h nomgadapter.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h piafitting.h nomgadapter.h \
  $(INC)ntupintf.h \
  $(INC)generalfit.h \
@@ -1221,8 +1300,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -1248,4 +1330,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)pieldrw.h \
@@ -1253,4 +1337,5 @@
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h pisiadw.h \
@@ -1258,6 +1343,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h nomhistadapter.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h nomhistadapter.h \
  $(INC)xntuple.h nomgfdadapter.h \
  nomimagadapter.h nomtmatvecadapter.h
@@ -1298,8 +1383,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h
 $(OBJ)pigfd2.o: pigfd2.cc pigfd2.h \
  $(INC)generaldata.h \
@@ -1339,12 +1427,13 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pieldrw.h \
- $(INC)pigraph3d.h \
- $(INC)pibwdgx.h \
- $(INC)pigraphps.h
+ $(INC)pigraph3d.h
 $(OBJ)pihisto.o: pihisto.cc pihisto.h \
  $(INC)histos.h \
@@ -1381,8 +1470,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)hisprof.h
 $(OBJ)pihisto2d.o: pihisto2d.cc $(INC)piapplx.h \
@@ -1410,4 +1502,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -1440,4 +1534,5 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pieldrw.h \
  $(INC)nbrandom.h \
@@ -1474,4 +1569,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -1484,4 +1581,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -1490,7 +1589,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h \
@@ -1507,6 +1608,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h servnobjm.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h servnobjm.h \
  nomhistadapter.h nomgadapter.h \
  $(INC)ntupintf.h \
@@ -1565,12 +1666,13 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pieldrw.h \
- $(INC)pigraph3d.h \
- $(INC)pibwdgx.h \
- $(INC)pigraphps.h
+ $(INC)pigraph3d.h
 $(OBJ)pintuple.o: pintuple.cc pintuple.h \
  $(INC)ntupintf.h \
@@ -1590,8 +1692,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h
 $(OBJ)pipodrw.o: pipodrw.cc pipodrw.h \
  $(INC)machdefs.h \
@@ -1610,8 +1715,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -1670,4 +1778,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -1680,4 +1790,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -1686,7 +1798,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h \
@@ -1701,6 +1815,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h servnobjm.h
+ $(INC)pitherm.h \
+ $(INC)resusage.h servnobjm.h
 $(OBJ)pistdimgapp.o: pistdimgapp.cc \
  $(INC)machdefs.h \
@@ -1750,4 +1864,6 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
  $(INC)pigraphuc.h \
  $(INC)pievthandler.h \
@@ -1760,4 +1876,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)parradapter.h \
@@ -1766,7 +1884,9 @@
  $(INC)pidrawer.h \
  $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)pipixmapx.h \
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h dlftypes.h \
@@ -1775,6 +1895,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h \
  $(INC)piimgtools.h \
  $(INC)pidrwtools.h \
@@ -1828,8 +1948,11 @@
  $(INC)pifontx.h \
  $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigratt.h \
+ $(INC)pigrcoord.h \
+ $(INC)pilineatt.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigratt.h \
+ $(INC)piaxes.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -1867,4 +1990,6 @@
  $(INC)pifilechox.h \
  $(INC)pifilechogen.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
  $(INC)piimage.h \
  $(INC)pieldrw.h \
@@ -1872,4 +1997,5 @@
  $(INC)pipixmapgen.h \
  $(INC)picmapview.h \
+ $(INC)pi3dwdg.h \
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h piacmd.h \
@@ -1878,6 +2004,6 @@
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
+ $(INC)pitherm.h \
+ $(INC)resusage.h \
  $(INC)fct1dfit.h \
  $(INC)fct2dfit.h pitvmaad.h \
Index: trunk/SophyaPI/PIext/pistdimgapp.h
===================================================================
--- trunk/SophyaPI/PIext/pistdimgapp.h	(revision 2132)
+++ trunk/SophyaPI/PIext/pistdimgapp.h	(revision 2141)
@@ -26,5 +26,5 @@
 
 #include "piimage.h"
-#include "pi3ddrw.h"
+#include "pi3dwdg.h"
 #include "nobjmgr.h"
 #include "piacmd.h"